Subject: Re: next-20181211 build: 1 failures 32 warnings (next-20181211)

From: Mark Brown <[email-masked]>
Date: Wed, 12 Dec 2018 12:18:26 +0000

On Tue, Dec 11, 2018 at 03:15:35PM -0700, Nathan Chancellor wrote:
> On Tue, Dec 11, 2018 at 10:06:20PM +0000, Mark Brown wrote:

> > in ddbridge-ci.c and some other media files.  This is because
> > ddbridge.h includes asm/irq.h but that does not directly include headers
> > which define the above types and it appears some header changes have
> > removed an implicit inclusion of those.  Moving the asm includes after
> > the linux ones in ddbridge.h fixes this though this appears to be
> > against the coding style for media.

> I sent a patch for this yesterday, I think moving the asm includes after
> the linux ones is the correct fix according to the rest of the kernel:
> https://lore.kernel.org/linux-media/[email-masked]/

> Hopefully it can be picked up quickly.

Ah, great - thanks.  I agree this is probably the best fix, I just
wasn't sure if the media people had some other idea given the coding
style there.
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel